GNU bug report logs - #45724
27.1; gnus vs. raw big5 headers vs. the second day

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 45724 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45724 <at> debbugs.gnu.org:


Received: (at 45724) by debbugs.gnu.org; 22 Jan 2021 18:09:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 22 13:09:11 2021
Received: from localhost ([127.0.0.1]:32993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l30rv-0003LP-Id
	for submit <at> debbugs.gnu.org; Fri, 22 Jan 2021 13:09:11 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l30rt-0003L9-Hs
 for 45724 <at> debbugs.gnu.org; Fri, 22 Jan 2021 13:09:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=s3mrPVs9ssjzO7NFiVv57uVubbdkztKU0+pvIYTxXbc=; b=ETPgLmBv7aGboivJHpN/p30RdE
 WvRLqfKAKSbSU6INDUUHJzkwALj9ahDUJeXrbxh53OM4VOmzO46mMJIuJ6Q9/O7YS66m8UvAatP5W
 TYmPpbeXRiiCjw6ykAzEj/YnQr6LHLq6l1GMQGcToelAuHOxCQFHlwRFLFqdmmx0Ba8k=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l30rl-0003eL-HV; Fri, 22 Jan 2021 19:09:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#45724: 27.1; gnus vs. raw big5 headers vs. the second day
References: <87y2h4gf0n.8.fsf@HIDDEN> <87lfd0ucyr.fsf@HIDDEN>
 <87y2gzk1on.5.fsf@HIDDEN>
X-Now-Playing: Earwig's _Past_: "Out Of My Hands, Over My Head"
Date: Fri, 22 Jan 2021 19:09:00 +0100
In-Reply-To: <87y2gzk1on.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Mon, 11 Jan 2021 22:06:48 +0800")
Message-ID: <87bldg269v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: And this one was also fixed by the bug#45925 fix. --
 (domestic pets only, the antidote for overdose,
 milk.) bloggy blog: http://lars.ingebrigtsen.no
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45724
Cc: 45724 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

And this one was also fixed by the bug#45925 fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#45724; Package emacs,gnus. Full text available.

Message received at 45724 <at> debbugs.gnu.org:


Received: (at 45724) by debbugs.gnu.org; 19 Jan 2021 01:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 18 20:04:41 2021
Received: from localhost ([127.0.0.1]:48816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1fRp-0007iQ-79
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2021 20:04:41 -0500
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:7759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>)
 id 1l1fRi-0007i6-4z; Mon, 18 Jan 2021 20:04:39 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id BD76E70327A;
 Tue, 19 Jan 2021 01:04:30 +0000 (UTC)
Received: from pdx1-sub0-mail-a43.g.dreamhost.com
 (100-98-118-101.trex.outbound.svc.cluster.local [100.98.118.101])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id C11B770314D;
 Tue, 19 Jan 2021 01:04:23 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a43.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/6.0.1); Tue, 19 Jan 2021 01:04:30 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Decisive-Society: 01bf08901258e7e8_1611018264102_174636357
X-MC-Loop-Signature: 1611018264102:36873667
X-MC-Ingress-Time: 1611018264102
Received: from pdx1-sub0-mail-a43.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a43.g.dreamhost.com (Postfix) with ESMTP id 8C3AE7EE9E;
 Mon, 18 Jan 2021 17:04:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=lBYNuNcjpERsHm81wOA/XpJkh1s=; b=UqRKDEkvk0wss30K
 wMH38So0nV1m5XMrTKg5GSUtomNNK7LWZfbWlM8Nzp+59KNUtmMXOs9PyIkIljlG
 /tOcHF80krhizF8bDz3GbTMmfExRdnnd5vH5wUWX0le+r349fCZue0rAuzrsIeDq
 b4rak0fmtOTvTL3gHsxo68m5nJE=
Received: from jidanni.org (114-46-62-116.dynamic-ip.hinet.net [114.46.62.116])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a43.g.dreamhost.com (Postfix) with ESMTPSA id 4B9587EE96;
 Mon, 18 Jan 2021 17:04:20 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a43
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: 45925 <at> debbugs.gnu.org, 45724 <at> debbugs.gnu.org
Subject: Happens since 27.1
Date: Tue, 19 Jan 2021 09:04:16 +0800
Message-ID: <87k0s9hh4f.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45724
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Note with emacs-version "27.1"  these certain old messages that have been
sitting in my *Summary* buffer for years suddenly have got their Subject
garbled. (Fine though in *Article* buffer.)




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#45724; Package emacs,gnus. Full text available.

Message received at 45724 <at> debbugs.gnu.org:


Received: (at 45724) by debbugs.gnu.org; 11 Jan 2021 14:07:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 09:07:21 2021
Received: from localhost ([127.0.0.1]:56157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyxqr-0000g0-2h
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 09:07:21 -0500
Received: from cat.oak.relay.mailchannels.net ([23.83.215.31]:23252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kyxqo-0000fo-8L
 for 45724 <at> debbugs.gnu.org; Mon, 11 Jan 2021 09:07:20 -0500
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5D5C67E20D3;
 Mon, 11 Jan 2021 14:07:13 +0000 (UTC)
Received: from pdx1-sub0-mail-a3.g.dreamhost.com
 (100-96-27-97.trex.outbound.svc.cluster.local [100.96.27.97])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 26DE57E2EE7;
 Mon, 11 Jan 2021 14:06:56 +0000 (UTC)
Received: from pdx1-sub0-mail-a3.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.11); Mon, 11 Jan 2021 14:07:13 +0000
Received: from pdx1-sub0-mail-a3.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTP id 3935F8A29C;
 Mon, 11 Jan 2021 06:06:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=BPPz01kFl5t+vNEek+p5byU15Ws=; b=AKTeYNhv/2o/6
 N0eKbSNlp2tQH5V9VslCCxBaxG1twLSUzWY1g/qwSYPTeCBE3TgWAEXTCP57ZAto
 fRGlZf8sSzNHkOdifeVR7c3drVqtDI+NQMj9CELFZPsJgdnzSU8bKzo0Ee9z14AP
 fSnnNBR3Vjv16qYMsF1Ypq5cEtAZ3s=
Received: from jidanni.org (114-41-16-129.dynamic-ip.hinet.net [114.41.16.129])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTPSA id 82C6F8A29A;
 Mon, 11 Jan 2021 06:06:52 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a3
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45724: 27.1; gnus vs. raw big5 headers vs. the second day
References: <87y2h4gf0n.8.fsf@HIDDEN> <87lfd0ucyr.fsf@HIDDEN>
Date: Mon, 11 Jan 2021 22:06:48 +0800
Message-ID: <87y2gzk1on.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45724
Cc: 45724 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

In that image you can see "nnml:mail.misc".
In https://www.jidanni.org/comp/configuration/.gnus.el I don't have gnus
cache or gnus agent turned on.

>>>>> "LI" == Lars Ingebrigtsen <larsi@HIDDEN> writes:
LI> What mail backend are you using?  Do you use the Gnus cache?  The Gnus
LI> Agent?




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#45724; Package emacs,gnus. Full text available.

Message received at 45724 <at> debbugs.gnu.org:


Received: (at 45724) by debbugs.gnu.org; 10 Jan 2021 13:41:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 08:41:00 2021
Received: from localhost ([127.0.0.1]:53472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyaxo-0001IB-3E
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 08:41:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kyaxl-0001Hq-JV
 for 45724 <at> debbugs.gnu.org; Sun, 10 Jan 2021 08:40:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=IuhTOYzQNv1mhhbLCQxeAOHXWfi8383RLbntkOhorGM=; b=kX/firfgvZ31icRWBNAX4XlEMD
 qR3kmx/QlgeDriqYF3may7UnbRpEQLNgVXv7s+c0DouG2h8Crrqc0LH03z32qPtkrXauGwAjl/hBm
 lijvQnTudTuJqnvCOo+RnWFTUpNVPI2ySHyDKOx1z3HHgHvaD1DGfg04GP1dLT0K1P7g=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kyaxa-0007Jk-AQ; Sun, 10 Jan 2021 14:40:51 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#45724: 27.1; gnus vs. raw big5 headers vs. the second day
References: <87y2h4gf0n.8.fsf@HIDDEN>
X-Now-Playing: Kitchens of Distinction's _Prize_: "Prize"
Date: Sun, 10 Jan 2021 14:40:44 +0100
In-Reply-To: <87y2h4gf0n.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Fri, 08 Jan 2021 13:43:20 +0800")
Message-ID: <87lfd0ucyr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > But
    on the second day upon reopening gnus, the headers have "degraded": What
   mail backend are you using? Do you use the Gnus cache? The Gnus Agent? 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45724
Cc: 45724 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> But on the second day upon reopening gnus, the headers have "degraded":

What mail backend are you using?  Do you use the Gnus cache?  The Gnus
Agent?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#45724; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2021 06:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 01:03:15 2021
Received: from localhost ([127.0.0.1]:49119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kxkrj-0000mo-BI
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2021 01:03:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:48056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kxkre-0000me-VB
 for submit <at> debbugs.gnu.org; Fri, 08 Jan 2021 01:03:14 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39362)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kxkre-0003ML-OO
 for bug-gnu-emacs@HIDDEN; Fri, 08 Jan 2021 01:03:10 -0500
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:38610)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kxkrb-0007Ze-P4
 for bug-gnu-emacs@HIDDEN; Fri, 08 Jan 2021 01:03:10 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 56A7F12335D
 for <bug-gnu-emacs@HIDDEN>; Fri,  8 Jan 2021 06:03:04 +0000 (UTC)
Received: from pdx1-sub0-mail-a12.g.dreamhost.com
 (100-96-12-130.trex.outbound.svc.cluster.local [100.96.12.130])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2DDC31216F1
 for <bug-gnu-emacs@HIDDEN>; Fri,  8 Jan 2021 06:03:03 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a12.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.11); Fri, 08 Jan 2021 06:03:04 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Thread-Descriptive: 1da770540276f6a2_1610085784171_2145979789
X-MC-Loop-Signature: 1610085784171:573420183
X-MC-Ingress-Time: 1610085784171
Received: from pdx1-sub0-mail-a12.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTP id 9141784DA3
 for <bug-gnu-emacs@HIDDEN>; Thu,  7 Jan 2021 22:03:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=ldISe1c9ISfxM6GuOnxClfxU868=; b=XHisdpH77ID3Q0V4
 oY3T04+yo/8DL6dy1wOOiLMcI31gblO2VFLo65pVw0uLNgIW1s3mYbTNMSVbnJci
 LhqHNSWAourduYdFRI4vXKYA9f0IWXl8xiNxQoiDPsyjTG7+DLjSGLBpuoJK/jah
 6FSbwp05bsWQ5jNdpG1CfkUnu3Q=
Received: from jidanni.org (114-41-31-15.dynamic-ip.hinet.net [114.41.31.15])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTPSA id BF02983752
 for <bug-gnu-emacs@HIDDEN>; Thu,  7 Jan 2021 22:02:51 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a12
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; gnus vs. raw big5 headers vs. the second day
X-Debbugs-Package: emacs,gnus
Date: Fri, 08 Jan 2021 13:43:20 +0800
Message-ID: <87y2h4gf0n.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=23.83.212.17; envelope-from=jidanni@HIDDEN;
 helo=bird.elm.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Yes the mails we receive have properly mime encoded headers.
But let's say some agency sends an email with ancient illegal raw big5
headers:
$ iconv -f big5 headers.txt
Subject: =E5=85=A7=E6=94=BF=E9=83=A8=E9=83=A8=E9=95=B7=E9=9B=BB=E5=AD=90=E4=
=BF=A1=E7=AE=B1=E5=8F=97=E7=90=86=E9=80=9A=E7=9F=A5=E7=B7=A8=E8=99=9F:202=
10108003        =20
From: "=E5=85=A7=E6=94=BF=E9=83=A8=E9=83=A8=E9=95=B7=E9=9B=BB=E5=AD=90=E4=
=BF=A1=E7=AE=B1" <returnecss@HIDDEN>

Well, on the first day, things work fine in gnus.

But on the second day upon reopening gnus, the headers have "degraded":


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=20210108T131442.jpg
Content-Transfer-Encoding: base64
Content-Description: ugly
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--=-=-=
Content-Type: text/plain


The *Summary* buffer has now a garbled line. Howver the *Article* buffer
is still doing fine.

Funny thing is, if we pipe the second article through procmail, and
enter gnus again, the newly created identical third article has an OK
*Summary* line.

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: zh_TW.UTF-8
  value of $LC_MESSAGES: C
  value of $LANG: zh_TW.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

(One also notes raw big5 enters the .overview file, but not always.)

My dot files are at https://www.jidanni.org/comp/configuration/

Anyway, sure, gnus can deal with such wacky headers fine on the first
day.

But on the second day, after totally quitting emacs and starting up
again, such headers are no longer dealt with properly, at least in the
*Summary* buffer.

Sure, "Tell the agency to stop sending illegal headers." Well, yes...

--=-=-=--




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#45724; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 22 Jan 2021 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.